registercheckby openlaw group
API referenceSearch

Suggest companies and persons as you type

GET
/search/suggestions

Fast prefix search over company and person names for autocomplete.

Costs 1 credit.

Authorization

bearerAuth
AuthorizationBearer <token>

Your API key, sent as Authorization: Bearer rc_live_….

In: header

Query Parameters

q*string

What the user has typed so far.

Length2 <= length <= 200
limit?integer

Maximum number of suggestions.

Range1 <= value <= 20
Default10

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/search/suggestions?q=string"
{  "object": "list",  "data": [    {      "object": "company_summary",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "status": "active",      "legal_form_code": "gmbh",      "register": {        "court": {          "code": "D2601",          "name": "Amtsgericht München"        },        "type": "HRA",        "number": "292661",        "display": "Amtsgericht München HRB 292661",        "country": "DE"      },      "city": "string",      "incorporation_date": "2019-08-24"    }  ]}